Bug 85629 - [Qt] REGRESSION: 7 tests started to fail with newer Qt5
Summary: [Qt] REGRESSION: 7 tests started to fail with newer Qt5
Status: RESOLVED INVALID
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P1 Critical
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks: 79666 79668
  Show dependency treegraph
 
Reported: 2012-05-04 08:40 PDT by Csaba Osztrogonác
Modified: 2014-02-01 19:00 PST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2012-05-04 08:40:16 PDT
After this update 10 tests started to fail with Qt5-WK2:
https://lists.webkit.org/pipermail/webkit-qt/2012-May/002715.html

fast/encoding/char-decoding.html
fast/encoding/percent-escaping.html
fast/loader/data-url-encoding-html.html
fast/loader/data-url-encoding-svg.html
http/tests/security/xssAuditor/script-tag-Big5-char-twice-url-encode-16bit-unicode.html
http/tests/security/xssAuditor/script-tag-with-16bit-unicode-surrogate-pair.html
http/tests/security/xssAuditor/script-tag-with-16bit-unicode2.html
http/tests/security/xssAuditor/script-tag-with-16bit-unicode5.html
http/tests/security/xssAuditor/script-tag-with-fancy-unicode.html
http/tests/security/xssAuditor/script-tag-with-invalid-url-encoding.html


--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/encoding/char-decoding-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/encoding/char-decoding-actual.txt 
@@ -3,7 +3,7 @@
 On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
 
 
-PASS decode('UTF-8', '%E2%88%9A') is 'U+221A'
+FAIL decode('UTF-8', '%E2%88%9A') should be U+221A. Was U+003F.
 PASS decode('gb2312', '%A3%A0') is 'U+3000'
 PASS decode('gb_2312-80', '%A3%A0') is 'U+3000'
 PASS decode('chinese', '%A3%A0') is 'U+3000'



--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/encoding/percent-escaping-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/encoding/percent-escaping-actual.txt 
@@ -1,3 +1,2 @@
-Test for bug 6452 - KURL::appendEscapingBadChars() should never escape percent characters.
+FAIL: Timed out waiting for notifyDone to be called
 
-SUCCESS



--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/loader/data-url-encoding-html-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/loader/data-url-encoding-html-actual.txt 
@@ -1,6 +1,6 @@
 Test that non-ASCII data: URLs are handled correctly.
 
-1. SUCCESS.
-2. SUCCESS.
-3. SUCCESS.
+1. FAILURE.
+2. FAILURE.
+3. FAILURE.
   



--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/loader/data-url-encoding-svg-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/loader/data-url-encoding-svg-actual.txt 
@@ -1,6 +1,6 @@
 Test that non-ASCII data: URLs are handled correctly.
 
-1. SUCCESS.
-2. SUCCESS.
-3. SUCCESS.
+1. FAILURE: ????????.
+2. FAILURE: ????????.
+3. FAILURE: ????????.
   



--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/security/xssAuditor/script-tag-Big5-char-twice-url-encode-16bit-unicode-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/security/xssAuditor/script-tag-Big5-char-twice-url-encode-16bit-unicode-actual.txt 
@@ -1,3 +1,1 @@
-CONSOLE MESSAGE: Refused to execute a JavaScript script. Source code of script found within request.
 
-



--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/security/xssAuditor/script-tag-with-16bit-unicode-surrogate-pair-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/security/xssAuditor/script-tag-with-16bit-unicode-surrogate-pair-actual.txt 
@@ -1,3 +1,1 @@
-CONSOLE MESSAGE: Refused to execute a JavaScript script. Source code of script found within request.
 
-



--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/security/xssAuditor/script-tag-with-16bit-unicode2-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/security/xssAuditor/script-tag-with-16bit-unicode2-actual.txt 
@@ -1,3 +1,1 @@
-CONSOLE MESSAGE: Refused to execute a JavaScript script. Source code of script found within request.
 
-



--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/security/xssAuditor/script-tag-with-16bit-unicode5-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/security/xssAuditor/script-tag-with-16bit-unicode5-actual.txt 
@@ -1,3 +1,1 @@
-CONSOLE MESSAGE: Refused to execute a JavaScript script. Source code of script found within request.
 
-



--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/security/xssAuditor/script-tag-with-fancy-unicode-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/security/xssAuditor/script-tag-with-fancy-unicode-actual.txt 
@@ -1,3 +1,1 @@
-CONSOLE MESSAGE: Refused to execute a JavaScript script. Source code of script found within request.
 
-



--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/security/xssAuditor/script-tag-with-invalid-url-encoding-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/security/xssAuditor/script-tag-with-invalid-url-encoding-actual.txt 
@@ -1,3 +1,1 @@
-CONSOLE MESSAGE: Refused to execute a JavaScript script. Source code of script found within request.
 
-
Comment 1 Csaba Osztrogonác 2012-05-04 08:43:22 PDT
I skipped them - http://trac.webkit.org/changeset/116106

Please unskip with the proper fix.
Comment 2 Csaba Osztrogonác 2012-05-04 09:11:45 PDT
It isn't Qt5-WK2 specific, but Qt5 specific. Skiplist will be fixed.
Comment 3 Csaba Osztrogonác 2012-05-04 09:16:48 PDT
Skiplist fix landed in http://trac.webkit.org/changeset/116108
Comment 4 Alexis Menard (darktears) 2012-05-09 09:44:22 PDT
Tracked in Qt by :

https://codereview.qt-project.org/#change,25778
Comment 5 Alexis Menard (darktears) 2012-05-09 13:27:41 PDT
(In reply to comment #4)
> Tracked in Qt by :
> 
> https://codereview.qt-project.org/#change,25778

Landed in Qt master. All these tests should be unskipped when we update to newer Qt.
Comment 6 Csaba Osztrogonác 2012-05-17 05:20:08 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > Tracked in Qt by :
> > 
> > https://codereview.qt-project.org/#change,25778
> 
> Landed in Qt master. All these tests should be unskipped when we update to newer Qt.

It fixed only these tests:
fast/encoding/char-decoding.html
fast/loader/data-url-encoding-html.html
fast/loader/data-url-encoding-svg.html

But the following tests still fail:
fast/encoding/percent-escaping.html
http/tests/security/xssAuditor/script-tag-Big5-char-twice-url-encode-16bit-unicode.html
http/tests/security/xssAuditor/script-tag-with-16bit-unicode-surrogate-pair.html
http/tests/security/xssAuditor/script-tag-with-16bit-unicode2.html
http/tests/security/xssAuditor/script-tag-with-16bit-unicode5.html
http/tests/security/xssAuditor/script-tag-with-fancy-unicode.html
http/tests/security/xssAuditor/script-tag-with-invalid-url-encoding.html
Comment 7 Alexis Menard (darktears) 2012-05-17 06:47:27 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > Tracked in Qt by :
> > > 
> > > https://codereview.qt-project.org/#change,25778
> > 
> > Landed in Qt master. All these tests should be unskipped when we update to newer Qt.
> 
> It fixed only these tests:
> fast/encoding/char-decoding.html
> fast/loader/data-url-encoding-html.html
> fast/loader/data-url-encoding-svg.html
> 
> But the following tests still fail:
> fast/encoding/percent-escaping.html
> http/tests/security/xssAuditor/script-tag-Big5-char-twice-url-encode-16bit-unicode.html
> http/tests/security/xssAuditor/script-tag-with-16bit-unicode-surrogate-pair.html
> http/tests/security/xssAuditor/script-tag-with-16bit-unicode2.html
> http/tests/security/xssAuditor/script-tag-with-16bit-unicode5.html
> http/tests/security/xssAuditor/script-tag-with-fancy-unicode.html
> http/tests/security/xssAuditor/script-tag-with-invalid-url-encoding.html

darktears@DarthVader:~/dev/troll/webkit$ WEBKITOUTPUTDIR=/home/darktears/dev/troll/webkit2-trunk run-webkit-tests --qt -2 --release --iterations 100 LayoutTests/http/tests/security/xssAuditor
Running new-run-webkit-tests with one child process.
For more parallelism, run new-run-webkit-tests directly.
All 16200 tests ran as expected.                         

WEBKITOUTPUTDIR=/home/darktears/dev/troll/webkit2-trunk run-webkit-tests --qt  388.65s user 74.10s system 97% cpu 7:55.44 total
darktears@DarthVader:~/dev/troll/webkit$ WEBKITOUTPUTDIR=/home/darktears/dev/troll/webkit2-trunk run-webkit-tests --qt --release --iterations 100 LayoutTests/http/tests/security/xssAuditor
Running new-run-webkit-tests with one child process.
For more parallelism, run new-run-webkit-tests directly.
TAll 16200 tests ran as expected.                         

WEBKITOUTPUTDIR=/home/darktears/dev/troll/webkit2-trunk run-webkit-tests --qt  136.87s user 10.16s system 36% cpu 6:37.74 total
Comment 8 Alexis Menard (darktears) 2012-05-17 06:52:25 PDT
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > (In reply to comment #4)
> > > > Tracked in Qt by :
> > > > 
> > > > https://codereview.qt-project.org/#change,25778
> > > 
> > > Landed in Qt master. All these tests should be unskipped when we update to newer Qt.
> > 
> > It fixed only these tests:
> > fast/encoding/char-decoding.html
> > fast/loader/data-url-encoding-html.html
> > fast/loader/data-url-encoding-svg.html
> > 
> > But the following tests still fail:
> > fast/encoding/percent-escaping.html
> > http/tests/security/xssAuditor/script-tag-Big5-char-twice-url-encode-16bit-unicode.html
> > http/tests/security/xssAuditor/script-tag-with-16bit-unicode-surrogate-pair.html
> > http/tests/security/xssAuditor/script-tag-with-16bit-unicode2.html
> > http/tests/security/xssAuditor/script-tag-with-16bit-unicode5.html
> > http/tests/security/xssAuditor/script-tag-with-fancy-unicode.html
> > http/tests/security/xssAuditor/script-tag-with-invalid-url-encoding.html
> 
> darktears@DarthVader:~/dev/troll/webkit$ WEBKITOUTPUTDIR=/home/darktears/dev/troll/webkit2-trunk run-webkit-tests --qt -2 --release --iterations 100 LayoutTests/http/tests/security/xssAuditor
> Running new-run-webkit-tests with one child process.
> For more parallelism, run new-run-webkit-tests directly.
> All 16200 tests ran as expected.                         
> 
> WEBKITOUTPUTDIR=/home/darktears/dev/troll/webkit2-trunk run-webkit-tests --qt  388.65s user 74.10s system 97% cpu 7:55.44 total
> darktears@DarthVader:~/dev/troll/webkit$ WEBKITOUTPUTDIR=/home/darktears/dev/troll/webkit2-trunk run-webkit-tests --qt --release --iterations 100 LayoutTests/http/tests/security/xssAuditor
> Running new-run-webkit-tests with one child process.
> For more parallelism, run new-run-webkit-tests directly.
> TAll 16200 tests ran as expected.                         
> 
> WEBKITOUTPUTDIR=/home/darktears/dev/troll/webkit2-trunk run-webkit-tests --qt  136.87s user 10.16s system 36% cpu 6:37.74 total

fast/encoding/percent-escaping.html is also passing
Comment 9 Csaba Osztrogonác 2012-05-17 07:22:37 PDT
I still get failing tests on Ubuntu 11.10 and on Debian Squeeze ...
( I bet you tried them on your Arch or on Mac. :) )
Comment 10 Csaba Osztrogonác 2012-10-09 01:32:38 PDT
The bug is still valid now.
Comment 11 Csaba Osztrogonác 2012-11-21 04:28:46 PST
3 tests pass now:
- fast/encoding/char-decoding.html
- fast/loader/data-url-encoding-html.html
- fast/loader/data-url-encoding-svg.html

but the remaining 7 tests still fail with the same diff
Comment 12 Csaba Osztrogonác 2012-11-21 04:31:10 PST
adding 79668, because one test fails with timeout, not a simple fail:

--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/encoding/percent-escaping-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/encoding/percent-escaping-actual.txt 
@@ -1,3 +1,2 @@
-Test for bug 6452 - KURL::appendEscapingBadChars() should never escape percent characters.
+FAIL: Timed out waiting for notifyDone to be called

-SUCCESS
Comment 13 Csaba Osztrogonác 2012-11-21 04:31:31 PST
I unskipped the 3 passing test - r135385.